package cn.chnmuseum.party.service;

import cn.chnmuseum.party.model.TBoxOperation;
import cn.chnmuseum.party.model.TUser;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 机顶盒运维信息 服务接口
 * </p>
 *
 * @author Danny Lee
 * @since 2021-03-25
 */
public interface TBoxOperationService extends IService<TBoxOperation> {

    List<TBoxOperation> getList(String status,String areaId);

    Page<TBoxOperation> selectBoxPage(Page<TBoxOperation> page, TUser user);

    Page<TBoxOperation> selectPage(Page<TBoxOperation> page, TBoxOperation tBoxOperation);

    /**
     * 查询List不分页

     * @param tBoxOperation
     * @return
     */
    List<TBoxOperation> selectListA( TBoxOperation tBoxOperation);

    List<TBoxOperation> selectBoxList(TUser user);
}
