package cn.chnmuseum.party.mapper;

import cn.chnmuseum.party.model.ExhibitionBoard;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 展板 Mapper 接口
 * </p>
 *
 * @author Danny Lee
 * @since 2021-03-16
 */
public interface ExhibitionBoardMapper extends BaseMapper<ExhibitionBoard> {

    List<ExhibitionBoard> getList(@Param("learningProjectId") String learningProjectId, @Param("isPublished") boolean isPublished);
}
